Skip to main content
GET
get a list of sites

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

periodTsOn
string
default:SITE

Define on which element to apply the beginTs and endTs parameters.

Value can be SITE or SERVICE_OFFER.

page
integer

the page to be fetched. Default value is 0

size
integer
default:100

the page size to be fetched. Default value is 100. Max value is 100

Required range: x <= 100
beginTs
string<date-time>
default:start of previous day at midnight

Define the start timestamp of the range to reduce the number of sites returned.

Objects modified within the range are returned.

This operation relies on the modification date of sites object.

The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Default is today at midnight -1 days. Period between beginTs and endTs is at most 30 days.

endTs
string<date-time>
default:start of current day at midnight

Define the end timestamp of the range to reduce the number of sites returned.

Objects modified within the range are returned.

This operation relies on the modification date of sites object.

The supported format is as defined by RFC 3339, section 5.6 restricted to : full-date'T'partial-time'Z'

Default is today at midnight. Period between beginTs and endTs is at most 30 days.

serviceOffers
string

The service offers to use as a filter. A service offer code can optionaly be defined along with the desired status for the service offer.

Format: [SERVICE_OFFER_DEF[,SERVICE_OFFER_DEF]]

SERVICE_OFFER_DEF == <SERVICE_OFFER_CODE>[:STATUS_LIST]

STATUS_LIST == SERVICE_OFFER_STATUS[;SERVICE_OFFER_STATUS]

SERVICE_OFFER_STATUS == SUBSCRIPTION_IN_PROGRESS | SUBSCRIBED | TERMINATED

view
enum<string>
default:overview

By default, the overview mode is delivered, only the ids of the objects are returned. A complete snaphost of the object can be returned using the details parameter.

Available options:
overview,
details
siteIds
string

the ids of the sites to fetch

siteCustomerIds
string

the customer ids of the sites to fetch

Response

page
object
required
_embedded
object
required